// TestAxRasDlg.cpp : implementation file
//

#include "stdafx.h"
#include "TestAxRas.h"
#include "TestAxRasDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTestAxRasDlg dialog

CTestAxRasDlg::CTestAxRasDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CTestAxRasDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTestAxRasDlg)
	m_Ftp_Address = _T("");
	m_Tcpip_Address = _T("");
	m_Local_File = _T("");
	m_Remote_File = _T("");
	m_Ftp_Port = 0;
	m_Tcpip_Port = 0;
	m_Send_Message = _T("");
	//}}AFX_DATA_INIT
	// Note that LoadIcon does not require a subsequent DestroyIcon in Win32
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void CTestAxRasDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTestAxRasDlg)
	DDX_Control(pDX, IDC_Receive_Message, m_Receive_Message);
	DDX_Control(pDX, IDC_Gprs_Message, m_Gprs_Message);
	DDX_Control(pDX, IDC_AXRASCTRL1, m_MyRas);
	DDX_Text(pDX, IDC_Ftp_Address, m_Ftp_Address);
	DDV_MaxChars(pDX, m_Ftp_Address, 20);
	DDX_Text(pDX, IDC_Tcpip_Address, m_Tcpip_Address);
	DDV_MaxChars(pDX, m_Tcpip_Address, 20);
	DDX_Text(pDX, IDC_Local_File, m_Local_File);
	DDV_MaxChars(pDX, m_Local_File, 20);
	DDX_Text(pDX, IDC_Remote_File, m_Remote_File);
	DDV_MaxChars(pDX, m_Remote_File, 20);
	DDX_Text(pDX, IDC_Ftp_Port, m_Ftp_Port);
	DDV_MinMaxLong(pDX, m_Ftp_Port, 0, 65535);
	DDX_Text(pDX, IDC_Tcpip_Port, m_Tcpip_Port);
	DDV_MinMaxLong(pDX, m_Tcpip_Port, 0, 65535);
	DDX_Text(pDX, IDC_Send_Message, m_Send_Message);
	DDV_MaxChars(pDX, m_Send_Message, 1024);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTestAxRasDlg, CDialog)
	//{{AFX_MSG_MAP(CTestAxRasDlg)
	ON_BN_CLICKED(IDC_Dail_m1206, OnDailm1206)
	ON_BN_CLICKED(IDC_HangUp, OnHangUp)
	ON_BN_CLICKED(IDC_Tcpip_Connect, OnTcpipConnect)
	ON_BN_CLICKED(IDC_Tcpip_Close, OnTcpipClose)
	ON_BN_CLICKED(IDC_Send, OnSend)
	ON_BN_CLICKED(IDC_Receive_On, OnReceiveOn)
	ON_BN_CLICKED(IDC_Receive_Off, OnReceiveOff)
	ON_BN_CLICKED(IDC_Ftp_Connect, OnFtpConnect)
	ON_BN_CLICKED(IDC_Ftp_Close, OnFtpClose)
	ON_BN_CLICKED(IDC_Put, OnPut)
	ON_BN_CLICKED(IDC_Get, OnGet)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTestAxRasDlg message handlers

BOOL CTestAxRasDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon
	
	CenterWindow(GetDesktopWindow());	// center to the hpc screen

	// TODO: Add extra initialization here 
	m_MyRas.RegisterWinCon();

	return TRUE;  // return TRUE  unless you set the focus to a control
}



BEGIN_EVENTSINK_MAP(CTestAxRasDlg, CDialog)
    //{{AFX_EVENTSINK_MAP(CTestAxRasDlg)
	ON_EVENT(CTestAxRasDlg, IDC_AXRASCTRL1, 1 /* SocketReceive */, OnSocketReceiveAxrasctrl1, VTS_I2 VTS_BSTR)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

void CTestAxRasDlg::OnSocketReceiveAxrasctrl1(short SocketNumber, LPCTSTR String) 
{
	// TODO: Add your control notification handler code here
		switch (SocketNumber)
	{
		case 0:	m_Receive_Message.SetWindowText(String);
				break;
/*		case 1:		
				break; 
		case 2:		
				break; */
	}	
}

void CTestAxRasDlg::OnDailm1206() 
{
	// TODO: Add your control notification handler code here
	BOOL rec;
	rec = m_MyRas.ModemDial(_T("m1206"));
	CString String;
	if (rec) {String = "m1206 GPRS su\ !";}
	else {String = "su,˵ Modem ]w !";}
	m_Gprs_Message.SetWindowText(String);
}

void CTestAxRasDlg::OnHangUp() 
{
	// TODO: Add your control notification handler code here
	m_MyRas.ModemHangUp();
	m_Gprs_Message.SetWindowText(_T("m1206 GPRS u\ !"));
}

void CTestAxRasDlg::OnTcpipConnect() 
{
	// TODO: Add your control notification handler code here	
	BOOL rec;
	UpdateData(TRUE); 
	//rec = m_MyRas.SocketInitial(0, _T("10.0.0.20"), 60000);
	rec = m_MyRas.SocketInitial(0, m_Tcpip_Address, m_Tcpip_Port);
	UpdateData(FALSE);	
	CString String;
	if (rec) {String = "Socket Client 0 su\ !";}
	else {String = "Socket Client 0 su !";}
	m_Gprs_Message.SetWindowText(String);
}

void CTestAxRasDlg::OnTcpipClose() 
{
	// TODO: Add your control notification handler code here	
	m_MyRas.SocketReceiveOff(0);
	m_MyRas.SocketClose(0);
	m_Gprs_Message.SetWindowText(_T("Socket Client 0 u\ !"));
}

void CTestAxRasDlg::OnSend() 
{
	// TODO: Add your control notification handler code here
	UpdateData(TRUE); 
	m_MyRas.SocketSend(0, m_Send_Message);
	UpdateData(FALSE);		
}

void CTestAxRasDlg::OnReceiveOn() 
{
	// TODO: Add your control notification handler code here	
	m_MyRas.SocketReceiveOn(0);
}

void CTestAxRasDlg::OnReceiveOff() 
{
	// TODO: Add your control notification handler code here
	m_MyRas.SocketReceiveOff(0);
}

void CTestAxRasDlg::OnFtpConnect() 
{
	// TODO: Add your control notification handler code here	
	BOOL rec;
	UpdateData(TRUE);
	rec = m_MyRas.FtpInitial(m_Ftp_Address, m_Ftp_Port, _T("Anonymous"), _T("0"));
	UpdateData(FALSE);	
	CString String;
	if (rec) {String = "Ftp Client su\ !";}
	else {String = "Ftp Client su !";}
	m_Gprs_Message.SetWindowText(String);
	m_MyRas.FtpCwd(_T("\\"));
	m_MyRas.FtpCld(_T("\\"));
}

void CTestAxRasDlg::OnFtpClose() 
{
	// TODO: Add your control notification handler code here 
	m_MyRas.FtpClose();
	m_Gprs_Message.SetWindowText(_T("Ftp Client u\ !"));
}

void CTestAxRasDlg::OnPut() 
{
	// TODO: Add your control notification handler code here	
	BOOL rec;
	UpdateData(TRUE);
	rec = m_MyRas.FtpPut(m_Local_File, m_Remote_File);
	UpdateData(FALSE);
	CString String;
	if (rec) {String = "Ftp ɮ׶ǰe\ !";}
	else {String = "Ftp ɮ׶ǰe !";}
	m_Gprs_Message.SetWindowText(String);
}

void CTestAxRasDlg::OnGet() 
{
	// TODO: Add your control notification handler code here	
	BOOL rec;
	UpdateData(TRUE);
	rec = m_MyRas.FtpGet(m_Remote_File, m_Local_File);
	UpdateData(FALSE);
	CString String;
	if (rec) {String = "Ftp ɮױ\ !";}
	else {String = "Ftp ɮױ !";}
	m_Gprs_Message.SetWindowText(String);
}
